Remote Framework for Stable Version

Discussion in 'Installation/Configuration' started by m u r, Jun 5, 2007.

  1. m u r

    m u r New Member

    I have already installed ISPConfig 2.2.13, but would like to install it with xml enabled in order to use Remote Framework. Do I need to uninstall ISPConfig first, or can I make the changes (Enable XML and install the ioncube loader) and simply run the setup again?

    Thanks.
     
  2. till

    till Super Moderator

    Uninstalling ISPConfig is not nescessary, just download the latest ISPConfig version, unpack it and modify the compile script to enable XML and then start the setup to update your current installation with a xml enabled PHP version.

    The ioncube loader is not needed anymore as the remoting framework is released as open source.
     
  3. m u r

    m u r New Member

    I get the following error when I run the setup:

    Code:
    checking whether to enable LIBXML support... yes
    checking libxml2 install dir... no
    checking for xml2-config path... 
    configure: error: xml2-config not found. Please check your libxml2 installation.
    ERROR: Could not configure PHP
    cd: error retrieving current directory: getcwd: cannot access parent directories: No such file or directory
    mv: cannot stat `binaries/aps.tar.gz': No such file or directory
    mv: cannot stat `binaries/spamassassin.tar.gz': No such file or directory
    mv: cannot stat `binaries/uudeview.tar.gz': No such file or directory
    mv: cannot stat `binaries/clamav.tar.gz': No such file or directory
    mv: cannot stat `binaries/cronolog': No such file or directory
    mv: cannot stat `binaries/cronosplit': No such file or directory
    mv: cannot stat `binaries/ispconfig_tcpserver': No such file or directory
    mv: cannot stat `binaries/zip': No such file or directory
    mv: cannot stat `binaries/unzip': No such file or directory
    tar: spamassassin.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    mv: cannot stat `spamassassin': No such file or directory
    tar: uudeview.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    mv: cannot stat `uudeview': No such file or directory
    tar: clamav.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    mv: cannot stat `clamav': No such file or directory
    tar: aps.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    ./setup2: line 873: ispconfig_tmp/php/bin/php: No such file or directory
    ERROR: The PHP binary coming with ISPConfig does not work properly on your system! The installation routine stops here!
    This is the modified portion of the compile file:
    Code:
    cd ../${PHP}
    ./configure --with-apxs=${INSTALL_ROOT}/httpd/bin/apxs --enable-track-vars --enable-sockets --enable-mbstring=all --with-config-file-path=${INSTALL_ROOT}/php --enable-ftp --prefix=${INSTALL_ROOT}/php ${WITH_OPENSSL} ${WITH_MYSQL} --disable-dom --without-pear || error "Could not configure PHP"
    make || error "Could not make PHP"
    make install || error "Could not install PHP"
    ln -s ${INSTALL_ROOT}/php/bin/php ${INSTALL_ROOT}/php/php
     
  4. till

    till Super Moderator

    It looks as you try to install the wrong version. You must download ISPConfig 2.2.13 1nd not 2.3.2.
     
  5. m u r

    m u r New Member

    I downloaded ISPConfig 2.2.13, unpacked it, modified the compile file, and reran setup.
     
  6. till

    till Super Moderator

    ok. sorry, i misinterpreted the error message.

    Please install the libxml development package of your linux distribution, then run the following command:

    mkdir /root/ispconfig

    and unpack and modify the ispconfig installer again as you did above. You can also remove the "--disable-dom" part from the configure line as dom means the dom-xml parser.
     
  7. m u r

    m u r New Member

    Do you know what libxml package I need for Ubuntu 7. I am a little confused as it worked fine before I modified the compile file.
     
  8. till

    till Super Moderator

    please run:

    apt-get install libxml2-dev

    It worked fine before because xml was disabled and so libxml2-dev was not needed to compile PHP.
     
  9. m u r

    m u r New Member

    I appreciate the quick replies. I'll give it a try. Thanks.
     

Share This Page